Bug 21737 - CUPS 1.4.* несовместим с модулем usblp
: CUPS 1.4.* несовместим с модулем usblp
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/cups)
: unstable
: all Linux
: P3 critical
Assigned To:
:
: https://bugs.launchpad.net/ubuntu/+so...
: distro-blocker
:
: 19564
  Show dependency tree
 
Reported: 2009-09-27 00:58 by
Modified: 2009-09-30 16:29 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-09-27 00:58:52
См. по ссылке багу в Ubuntu. Нужно внести изменения в udev, если это возможно, 
или откатить cups.
------- Comment #1 From 2009-09-27 17:22:20 -------
Понадобится ещё вот это приложить к нашему cups (если ещё не):
http://www.cups.org/str.php?L3318
------- Comment #2 From 2009-09-27 18:36:10 -------
2shrek: Валерий, гляньте, пожалуйста, -- там нужно правила в udev изменить.
------- Comment #3 From 2009-09-27 21:03:25 -------
udev-141-alt10
------- Comment #4 From 2009-09-27 21:06:41 -------
(В ответ на комментарий №3)
> udev-141-alt10

Спасибо!
------- Comment #5 From 2009-09-28 17:55:26 -------
udev-141-alt10

USB принтер так и невозможно установить.
При попытке установить usb принтер через localhost:631 из локальных только
SCSI.

Если запустить
/usr/lib/cups/backend/usb
DEBUG: list_devices
DEBUG: usb_find_busses=2
DEBUG: usb_find_devices=5
------- Comment #6 From 2009-09-29 10:08:20 -------
*** Bug 21700 has been marked as a duplicate of this bug. ***
------- Comment #7 From 2009-09-29 10:14:37 -------
Указанный ktirf@ патч уже добавлен в 1.4.1
cups 1.4.1 действительно несовместим в usblp, в следующей сборке добавлю
blacklist в /etc/modprobe.d/
------- Comment #8 From 2009-09-30 12:18:41 -------
cups-1.4.1-alt2 -> sisyphus:

* Wed Sep 30 2009 Stanislav Ievlev <inger@altlinux> 1.4.1-alt2

- add blacklist for usblp kernel module (closes: #21737)